LMS API Documentation v23.11.0

Loading...
Searching...
No Matches
Macros
Clock definitions
Low-Level control functions

## Macros
#define | LMS_CLOCK_REF 0x0000
| Chip reference clock.
#define | LMS_CLOCK_SXR 0x0001
| RX LO clock.
#define | LMS_CLOCK_SXT 0x0002
| TX LO clock.
#define | LMS_CLOCK_CGEN 0x0003
| CGEN clock.
#define | LMS_CLOCK_RXTSP 0x0004
| RXTSP reference clock (read-only)
#define | LMS_CLOCK_TXTSP 0x0005
| TXTSP reference clock (read-only)
#define | LMS_CLOCK_EXTREF 0x0006
| External reference clock (write-only)

## Detailed Description

Clock definitions for accessing specific internal clocks

## Macro Definition Documentation

## ◆ LMS_CLOCK_CGEN

#define LMS_CLOCK_CGEN 0x0003

CGEN clock.

Definition at line 917 of file LimeSuite.h.

## ◆ LMS_CLOCK_EXTREF

#define LMS_CLOCK_EXTREF 0x0006

External reference clock (write-only)

Set to positive value to enable usage of external reference clock of the specified frequency. Set to 0 or negative value to disable usage of external reference clock (if switching reference clock source is supported by HW)

Definition at line 929 of file LimeSuite.h.

## ◆ LMS_CLOCK_REF

#define LMS_CLOCK_REF 0x0000

Chip reference clock.

Definition at line 911 of file LimeSuite.h.

## ◆ LMS_CLOCK_RXTSP

#define LMS_CLOCK_RXTSP 0x0004

RXTSP reference clock (read-only)

Definition at line 919 of file LimeSuite.h.

## ◆ LMS_CLOCK_SXR

#define LMS_CLOCK_SXR 0x0001

RX LO clock.

Definition at line 913 of file LimeSuite.h.

## ◆ LMS_CLOCK_SXT

#define LMS_CLOCK_SXT 0x0002

TX LO clock.

Definition at line 915 of file LimeSuite.h.

## ◆ LMS_CLOCK_TXTSP

#define LMS_CLOCK_TXTSP 0x0005

TXTSP reference clock (read-only)

Definition at line 921 of file LimeSuite.h.